Package org.eclipse.emf.cdo.view

# Schnittstelle CDOStaleReferencePolicy

Alle bekannten Implementierungsklassen:
  `CDOStaleReferencePolicy.DynamicProxy`, `CDOStaleReferencePolicy.DynamicProxy.Enhanced`

public interface CDOStaleReferencePolicy
Specifies a policy on how to deal with stale references.

Seit:
  3.0
Autor:
  Simon McDuff

## Verschachtelte Klassen - Übersicht

Verschachtelte Klassen
Modifizierer und Typ
Schnittstelle
Beschreibung
`static class`
`CDOStaleReferencePolicy.DynamicProxy`
A `stale reference policy` that provides `Java dynamic proxies` when stale references are aceessed.

## Feldübersicht

Felder
Modifizierer und Typ
Feld
Beschreibung
`static final CDOStaleReferencePolicy`
`DEFAULT`
`static final CDOStaleReferencePolicy`
`EXCEPTION`
A stale reference policy that throws an `ObjectNotFoundException` each time.
`static final CDOStaleReferencePolicy`
`PROXY`
A stale reference policy that returns dynamic Java proxies with the appropriate EClasses.

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`Object`
`processStaleReference(EObject source, EStructuralFeature feature, int index, CDOID target)`
Returns an object that we want to return to the caller (clients).

## Felddetails

### EXCEPTION

static final CDOStaleReferencePolicy EXCEPTION
A stale reference policy that throws an `ObjectNotFoundException` each time.

### PROXY

static final CDOStaleReferencePolicy PROXY
A stale reference policy that returns dynamic Java proxies with the appropriate EClasses.

### DEFAULT

static final CDOStaleReferencePolicy DEFAULT

Seit:
  4.2

## Methodendetails

### processStaleReference

Object processStaleReference(EObject source, EStructuralFeature feature, int index, CDOID target)
Returns an object that we want to return to the caller (clients). Exception thrown will be received by the caller (clients).